TWR T windows api WRapper

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions
Public Member Functions
TwrListView Class Reference
Inheritance diagram for TwrListView:

List of all members.

## Public Member Functions
| TwrListView ()
| TwrListView (HWND newHwnd)
HWND | create (void)
void | insertItem (int index, TCHAR *item)
unsigned int | SetExtendedStyle (unsigned int newStyle)
int | insertColumn (int no, TCHAR *title, int nFormat=LVCFMT_LEFT, int nWidth=-1, int nSubItem=-1)
void | checkItem (int index, bool checked)
void | selectItem (int index)
bool | isChecked (int index)
Public Member Functions inherited from TwrWnd
| TwrWnd ()
| TwrWnd (HWND newWnd)
virtual | ‾TwrWnd ()
BOOL | UpdateWindow ()
BOOL | ShowWindow (int nCmdShow)
void | EnableWindow (BOOL enabled)
HWND | getHwnd ()
void | destroyWindow (void)
void | setText (const TCHAR *text)
void | setPoint (int x, int y)
void | setSize (int w, int h)
void | setFont (HFONT font)

## Additional Inherited Members
Protected Attributes inherited from TwrWnd
HWND | hWnd
tstring | title
int | left
int | top
int | width
int | height

## Constructor & Destructor Documentation

TwrListView::TwrListView | ( |  | ) |

コンストラクタ

TwrListView::TwrListView | ( | HWND | newHwnd | ) |

コンストラクタ

Parameters:

  オブジェクトに結び付けるウインドウのハンドル |

## Member Function Documentation

void TwrListView::checkItem | ( | int | index,
|  | bool | checked
| ) |  |

リストビューのチェック状態を変更します。

Parameters:

  index | チェック状態を変更する行
  checked | true:チェックされている false:チェックされていない

HWND TwrListView::create | ( | void |  | ) |

リストビューを作成します。

Returns:
  作成したリストビューのウインドウハンドル

int TwrListView::insertColumn | ( | int | no,
|  | TCHAR * | title,
|  | int | nFormat = `LVCFMT_LEFT`,
|  | int | nWidth = `-1`,
|  | int | nSubItem = `-1`
| ) |  |

リストビューに列を挿入します。

Parameters:

  no | 列番号
  title | 列のタイトル
  nFormat | フォーマット
  nWidth | 列幅
  nSubItem | 列のサブアイテムのインデックス

Returns:
  挿入結果

void TwrListView::insertItem | ( | int | index,
|  | TCHAR * | item
| ) |  |

リストビューに要素を挿入します。

Parameters:

  index | 挿入する位置
  item | 追加する文字列

bool TwrListView::isChecked | ( | int | index | ) |

リストビューの行のチェック状態を取得します。

Parameters:

  index | チェック状態を取得する行

Returns:
  true:チェックされている false:チェックされていない

void TwrListView::selectItem | ( | int | index | ) |

リストビューの行を選択します。

Parameters:

  index | 選択する行

unsigned int TwrListView::SetExtendedStyle | ( | unsigned int | newStyle | ) |

リストビューのスタイルを設定します。

Parameters:

  newStyle | 新しいスタイル

Returns:
  設定結果

The documentation for this class was generated from the following files:

- WindowSample/TWR/TwrListView.h
- WindowSample/TWR/TwrListView.cpp